function sodaSpawnWorkers(nWorkers)

masterDir = pwd;

% delay to let each instance update initialization files:
secDelay = 4;

for iWorker = 1:nWorkers
    eval(['cd(',char(39),fullfile(pwd,['worker',sprintf('%03d',iWorker)]),char(39),')'])
    eval('!matlab -r workerScript &')
    eval(['cd(',char(39),masterDir,char(39),')'])
    pause(secDelay)
end

pause(secDelay)

edit('sodaSspMaster.m')